[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: correction: x11/pekwm



On Fri, Aug 22, 2003 at 07:24:53PM -0500, Jolan Luff wrote:

> The files need to go into ${PREFIX}/share/examples/pekwm, and then be
> handled by the DEINSTALL/INSTALL scripts.  When doing this, make sure to
> take advantage of the recent 'extra' handling.

A big thanks to Jolan Luff for his help to understand more bsd.port.mk
and how to make a 'clean' port.

-- 
 / Francois Briere / Quebec / Canada  /
/ GPG KEY: finger francois@dopha.org /
diff -urN pekwm.orig/Makefile pekwm/Makefile
--- pekwm.orig/Makefile	Fri Aug 22 23:48:02 2003
+++ pekwm/Makefile	Fri Aug 22 22:21:06 2003
@@ -2,11 +2,11 @@
 
 COMMENT=	"an aewm++ based pretty themable window manager"
 
-VERSION=	0.1.1
+VERSION=	0.1.3
 DISTNAME=	pekwm-${VERSION}
 CATEGORIES=	x11
 
-HOMEPAGE=	http://pekwm.babblica.net/
+HOMEPAGE=	http://pekwm.org/
 
 MAINTAINER=	Lurene Grenier <lurene@daemonkitty.net>
 
@@ -24,8 +24,7 @@
 MODGCC3_LANGS+=         c++
 
 USE_X11= 		Yes
-CONFIGURE_STYLE=	simple
-CONFIGURE_ARGS+=	--prefix=${LOCALBASE}
+CONFIGURE_STYLE=	gnu
 NO_REGRESS=		Yes
 USE_GMAKE=		Yes
 
diff -urN pekwm.orig/distinfo pekwm/distinfo
--- pekwm.orig/distinfo	Fri Aug 22 23:48:02 2003
+++ pekwm/distinfo	Fri Aug 22 22:08:36 2003
@@ -1,3 +1,3 @@
-MD5 (pekwm-0.1.1.tar.gz) = 807e46e33d88e3b054005ace38267ce2
-RMD160 (pekwm-0.1.1.tar.gz) = af360e160fef2e7e2308fd699ef45496d5a68bc3
-SHA1 (pekwm-0.1.1.tar.gz) = 419b7d9318021b5a4fb61fa488d778e46d7248d3
+MD5 (pekwm-0.1.3.tar.gz) = 434d41e8eacc851c3bb9e2509543033e
+RMD160 (pekwm-0.1.3.tar.gz) = f67de448a3b4c329542b0c827c3a20fbe525da2c
+SHA1 (pekwm-0.1.3.tar.gz) = 103c116b5a498cf03d77d2a185880b058956d766
diff -urN pekwm.orig/patches/patch-data_Makefile.in pekwm/patches/patch-data_Makefile.in
--- pekwm.orig/patches/patch-data_Makefile.in	Wed Dec 31 19:00:00 1969
+++ pekwm/patches/patch-data_Makefile.in	Fri Aug 22 22:13:34 2003
@@ -0,0 +1,11 @@
+--- data/Makefile.in.orig	Fri Aug 22 22:12:44 2003
++++ data/Makefile.in	Fri Aug 22 22:13:00 2003
+@@ -3,7 +3,7 @@
+ 
+ prefix = @prefix@
+ DATADIR = @datadir@/@PACKAGE@
+-SYSCONFDIR = @sysconfdir@/@PACKAGE@
++SYSCONFDIR = @datadir@/examples/@PACKAGE@
+ DATA_MODE = 644
+ INSTALL = @INSTALL@
+ 
diff -urN pekwm.orig/pkg/DEINSTALL pekwm/pkg/DEINSTALL
--- pekwm.orig/pkg/DEINSTALL	Wed Dec 31 19:00:00 1969
+++ pekwm/pkg/DEINSTALL	Fri Aug 22 23:49:08 2003
@@ -0,0 +1,50 @@
+#!/bin/sh
+# $OpenBSD$
+#
+# De-installation setup of pekwm
+# exit on errors, use a sane path and install prefix
+#
+set -e
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+PREFIX=${PKG_PREFIX:-/usr/local}
+CONFIG_DIR=${SYSCONFDIR}/pekwm
+
+# Function: tell the user what they need to do to delete the port completely
+#
+do_notice()
+{
+    echo
+    echo "+---------------"
+    echo "| To completely deinstall the $1 package you need to perform"
+    echo "| these steps as root:"
+    echo "|"
+    echo "|       rm -rf ${CONFIG_DIR}"
+    echo "|"
+    echo "| Do not do this if you plan on re-installing $1"
+    echo "| at some future time."
+    echo "+---------------"
+    echo
+}
+
+# Verify proper execution
+#
+if [ $# -ne 2 ]; then
+    echo "usage: $0 distname DEINSTALL" >&2
+    exit 1
+fi
+
+# Verify/process the command
+#
+case $2 in
+    DEINSTALL)
+	if [ -e ${CONFIG_DIR} ]; then
+	    do_notice "$1"
+	fi
+	;;
+    *)
+	echo "usage: $0 distname DEINSTALL" >&2
+	exit 1
+	;;
+esac
+
+exit 0
diff -urN pekwm.orig/pkg/INSTALL pekwm/pkg/INSTALL
--- pekwm.orig/pkg/INSTALL	Wed Dec 31 19:00:00 1969
+++ pekwm/pkg/INSTALL	Fri Aug 22 23:46:32 2003
@@ -0,0 +1,71 @@
+#!/bin/sh
+# 
+# $OpenBSD$
+# Pre/post-installation setup of pekwm
+
+# exit on errors, use a sane path and install prefix
+#
+set -e
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+PREFIX=${PKG_PREFIX:-/usr/local}
+CONFIG_DIR=${SYSCONFDIR}/pekwm
+SAMPLE_CONFIG_DIR=$PREFIX/share/examples/pekwm
+
+do_notice()
+{
+    echo
+    echo "+---------------"
+    echo "| The existing $1 configuration files in $CONFIG_DIR,"
+    echo "| have NOT been changed. You may want to compare them to the"
+    echo "| current sample files in $SAMPLE_CONFIG_DIR,"
+    echo "| and update your configuration as needed."
+    echo "+---------------"
+    echo
+}
+
+do_install()
+{
+    install -d -o root -g wheel -m 755 $CONFIG_DIR
+    install -o root -g wheel -m 644 ${SAMPLE_CONFIG_DIR}/config ${CONFIG_DIR}
+    install -o root -g wheel -m 644 ${SAMPLE_CONFIG_DIR}/keys ${CONFIG_DIR}
+    install -o root -g wheel -m 644 ${SAMPLE_CONFIG_DIR}/menu ${CONFIG_DIR}
+    install -o root -g wheel -m 644 ${SAMPLE_CONFIG_DIR}/mouse ${CONFIG_DIR}
+    install -o root -g wheel -m 644 ${SAMPLE_CONFIG_DIR}/start ${CONFIG_DIR}
+    echo
+    echo "+---------------"
+    echo "| The $1 configuration files have been installed into"
+    echo "| $CONFIG_DIR. Please view these files and change the configuration"
+    echo "| to meet your needs."
+    echo "+---------------"
+    echo
+}
+
+# verify proper execution
+#
+if [ $# -ne 2 ]; then
+    echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
+    exit 1
+fi
+
+# Verify/process the command
+#
+case $2 in
+    PRE-INSTALL)
+	: nothing to pre-install for this port
+	;;
+    POST-INSTALL)
+	if [ ! -d $CONFIG_DIR ]; then
+	    do_install $1
+	elif [ ! -f $CONFIG_DIR/config ]; then
+	    do_install $1
+	else
+	    do_notice $1
+	fi
+	;;
+    *)
+	echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
+	exit 1
+	;;
+esac
+
+exit 0
diff -urN pekwm.orig/pkg/PLIST pekwm/pkg/PLIST
--- pekwm.orig/pkg/PLIST	Fri Aug 22 23:48:02 2003
+++ pekwm/pkg/PLIST	Fri Aug 22 23:31:44 2003
@@ -1,35 +1,55 @@
-@comment $OpenBSD: PLIST,v 1.1.1.1 2002/11/14 21:55:54 todd Exp $
+@comment $OpenBSD$
 bin/pekwm
+man/man1/pekwm.1
 share/doc/pekwm/README
-share/pekwm/autoprops
-share/pekwm/config
-share/pekwm/keys
-share/pekwm/menu
-share/pekwm/start
-share/pekwm/themes/default/border.xpm
-share/pekwm/themes/default/bottom.xpm
-share/pekwm/themes/default/btn-close-fo.xpm
-share/pekwm/themes/default/btn-close-pr.xpm
-share/pekwm/themes/default/btn-close-un.xpm
-share/pekwm/themes/default/btn-max-fo.xpm
-share/pekwm/themes/default/btn-max-pr.xpm
-share/pekwm/themes/default/btn-max-un.xpm
-share/pekwm/themes/default/btn-min-fo.xpm
-share/pekwm/themes/default/btn-min-pr.xpm
-share/pekwm/themes/default/btn-min-un.xpm
-share/pekwm/themes/default/left.xpm
-share/pekwm/themes/default/right.xpm
-share/pekwm/themes/default/separator-fo.xpm
-share/pekwm/themes/default/separator-un.xpm
-share/pekwm/themes/default/side-un.xpm
-share/pekwm/themes/default/side.xpm
+share/examples/pekwm/autoproperties
+share/examples/pekwm/config
+share/examples/pekwm/keys
+share/examples/pekwm/menu
+share/examples/pekwm/mouse
+share/examples/pekwm/start
+share/pekwm/scripts/pekwm_themeset.pl
+share/pekwm/scripts/pekwm_ws_menu.pl
+share/pekwm/themes/default/b-bottom-c.xpm
+share/pekwm/themes/default/b-bottom-l.xpm
+share/pekwm/themes/default/b-bottom-r.xpm
+share/pekwm/themes/default/b-side-l.xpm
+share/pekwm/themes/default/b-side-r.xpm
+share/pekwm/themes/default/b-top-c.xpm
+share/pekwm/themes/default/b-top-l.xpm
+share/pekwm/themes/default/b-top-r.xpm
+share/pekwm/themes/default/btn-b-left-fo.xpm
+share/pekwm/themes/default/btn-b-left-pr.xpm
+share/pekwm/themes/default/btn-b-left-un.xpm
+share/pekwm/themes/default/btn-b-right-fo.xpm
+share/pekwm/themes/default/btn-b-right-pr.xpm
+share/pekwm/themes/default/btn-b-right-un.xpm
+share/pekwm/themes/default/sep-fo.xpm
+share/pekwm/themes/default/sep-un.xpm
 share/pekwm/themes/default/theme
 share/pekwm/themes/default/theme.in
-share/pekwm/themes/default/top.xpm
-share/pekwm/themes/default/win-focus.xpm
-share/pekwm/themes/default/win-select.xpm
-share/pekwm/themes/default/win-unfocus.xpm
+share/pekwm/themes/default/win-fo-sel.xpm
+share/pekwm/themes/default/win-fo.xpm
+share/pekwm/themes/default/win-un-sel.xpm
+share/pekwm/themes/default/win-un.xpm
+share/pekwm/themes/minimal/bd-hrz.xpm
+share/pekwm/themes/minimal/bd-vrt.xpm
+share/pekwm/themes/minimal/fo-bd-c.xpm
+share/pekwm/themes/minimal/fo-btn-cl.xpm
+share/pekwm/themes/minimal/fo-btn-ic.xpm
+share/pekwm/themes/minimal/fo-btn-ma.xpm
+share/pekwm/themes/minimal/fo-win.xpm
+share/pekwm/themes/minimal/harbour.xpm
+share/pekwm/themes/minimal/se-win.xpm
+share/pekwm/themes/minimal/theme
+share/pekwm/themes/minimal/theme.in
+share/pekwm/themes/minimal/un-bd-c.xpm
+share/pekwm/themes/minimal/un-win.xpm
+share/pekwm/themes/minimal/unse-win.xpm
+@dirrm share/pekwm/themes/minimal
 @dirrm share/pekwm/themes/default
 @dirrm share/pekwm/themes
+@dirrm share/pekwm/scripts
 @dirrm share/pekwm
+@dirrm share/examples/pekwm
 @dirrm share/doc/pekwm